{{ define "content" }}
<div class="row">
	<div class="col-12">
		<h1>
			{{ index .Translation "SetResult"}}
		</h1>
	</div>
</div>

<div class="row">
	<div class="col-12">
		<form role="form" action="set-result" id="ResultForm" method="post">
		<input name="EventId" value="{{ .Data.EventId }}" type="hidden">
		<input name="ObjectName" value="{{ .Data.Name }}" type="hidden">
		<h3 class="mt-2">
			{{ .Data.Title }}
		</h3>
		<label for="Knockout">{{ .Data.Label }}</label>
		<span id="KnockoutPill" class="badge badge-primary badge-pill ml-2"></span>
		<div class="control-group row" id="KnockoutDiv" data-elem="Knockout" data-maxChecked="{{ .Data.Count }}">
			 <div class="controls span2 float-left col-sm">
			  {{ range $key, $value := .Data.Countries }}
				  {{ $row := add $key 1 }}
					<div class="custom-control custom-checkbox">
				      <input name="Knockout" value="{{ $value.FifaCode }}" class="custom-control-input" id="Knockout{{ $value.FifaCode }}" type="checkbox">
				      <label class="custom-control-label" for="Knockout{{ $value.FifaCode }}">{{ $value.DisplayName }}</label>
				    </div>
				  {{ if mod $row 6 }}
					</div>
					<div class="controls span2 float-left col-sm">
				  {{ end }}
			  {{ end }}
			</div>
		</div>
		<br>
		<button id="ResultFormSubmit" type="button" class="btn btn-primary">{{ index .Translation "Submit" }}</button>
		</form>
	</div>
</div>

<div class="modal hide fade" id="ValModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ index .Translation "ValModalTitle" }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ index .Translation "ValModalTooFewChecked" }}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ index .Translation "GoBack" }}</button>
      </div>
    </div>
  </div>
</div>

{{ end }}